Skip to main content
POST
/
api
/
v1
/
registrations
/
content
/
registration-input-options
curl --request POST \
  --url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/content/registration-input-options' \
  --header 'Authorization: Bearer <your_token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "filters": {
      "jurisdiction_ids": ["JUR_US_STATE_CA"]
    }
  }'
{
  "data": {
    "options": [
      {
        "jurisdiction_id": "JUR_US_STATE_CA",
        "jurisdiction_name": "California",
        "registrations": [
          {
            "registration_content_id": "CCT_US_STATE_CEN_06_RST",
            "tax_type": "RST",
            "frequencies": ["MONTHLY", "QUARTERLY", "ANNUAL_CALENDAR_YEAR"],
            "related_tax_types": [
              {
                "tax_type": "DTT",
                "optional": false
              }
            ]
          },
          {
            "registration_content_id": "CCT_US_STATE_CEN_06_RUT",
            "tax_type": "RUT",
            "frequencies": ["MONTHLY", "QUARTERLY", "ANNUAL_CALENDAR_YEAR"],
            "related_tax_types": [
              {
                "tax_type": "DTT",
                "optional": false
              }
            ]
          }
        ]
      },
      {
        "jurisdiction_id": "JUR_US_STATE_TX",
        "jurisdiction_name": "Texas",
        "registrations": [
          {
            "registration_content_id": "CCT_US_STATE_CEN_48_RST",
            "tax_type": "RST",
            "frequencies": ["MONTHLY", "QUARTERLY", "ANNUAL_CALENDAR_YEAR"]
          }
        ]
      }
    ]
  }
}
Retrieve the registration options for one or more jurisdictions. This endpoint returns the registration_content_id you’ll need to create a registration, along with available tax types and filing frequencies.

Request Body

filters
object
required
filters.jurisdiction_ids
array
required
Array of jurisdiction IDs to get options for. Get these from the Available Jurisdictions endpoint.Example: ["JUR_US_STATE_CA", "JUR_US_STATE_TX"]

Response Fields

FieldTypeDescription
optionsarrayRegistration options for each jurisdiction
options[].jurisdiction_idstringThe jurisdiction ID
options[].jurisdiction_namestringHuman-readable name
options[].registrationsarrayAvailable registration types
options[].registrations[].registration_content_idstringContent ID to use when creating a registration
options[].registrations[].tax_typestringPrimary tax type for this registration
options[].registrations[].frequenciesarrayValid filing frequencies
options[].registrations[].related_tax_typesarrayAdditional tax types that can/must be included
Some jurisdictions require or allow multiple tax types to be registered together:
  • optional: false — This tax type must be included with the primary type
  • optional: true — This tax type may be included (your choice)
For example, California requires RST + DTT together, while some states allow RST alone.
curl --request POST \
  --url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/content/registration-input-options' \
  --header 'Authorization: Bearer <your_token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "filters": {
      "jurisdiction_ids": ["JUR_US_STATE_CA"]
    }
  }'
{
  "data": {
    "options": [
      {
        "jurisdiction_id": "JUR_US_STATE_CA",
        "jurisdiction_name": "California",
        "registrations": [
          {
            "registration_content_id": "CCT_US_STATE_CEN_06_RST",
            "tax_type": "RST",
            "frequencies": ["MONTHLY", "QUARTERLY", "ANNUAL_CALENDAR_YEAR"],
            "related_tax_types": [
              {
                "tax_type": "DTT",
                "optional": false
              }
            ]
          },
          {
            "registration_content_id": "CCT_US_STATE_CEN_06_RUT",
            "tax_type": "RUT",
            "frequencies": ["MONTHLY", "QUARTERLY", "ANNUAL_CALENDAR_YEAR"],
            "related_tax_types": [
              {
                "tax_type": "DTT",
                "optional": false
              }
            ]
          }
        ]
      },
      {
        "jurisdiction_id": "JUR_US_STATE_TX",
        "jurisdiction_name": "Texas",
        "registrations": [
          {
            "registration_content_id": "CCT_US_STATE_CEN_48_RST",
            "tax_type": "RST",
            "frequencies": ["MONTHLY", "QUARTERLY", "ANNUAL_CALENDAR_YEAR"]
          }
        ]
      }
    ]
  }
}

Using the Response

From the response, extract:
  1. registration_content_id — Use this when calling POST /registrations
  2. tax_type + related_tax_types — Combine to form the tax_types array
  3. frequencies — Pick one for the frequency field

Example: Creating a California Registration

From the response above, California requires RST + DTT:
{
  "corporation_id": "your-corporation-id",
  "registration_content_id": "CCT_US_STATE_CEN_06_RST",
  "tax_types": ["RST", "DTT"],
  "frequency": "QUARTERLY"
}

Next Steps

After getting registration options, use the Portal Fields endpoint to understand what credentials are needed for automated filing. Then Create a Registration using the registration_content_id from this response.